Package net.shibboleth.idp.profile.context.navigate

# Class RelyingPartyContextLookupByCurrent

java.lang.Object
net.shibboleth.idp.profile.context.navigate.RelyingPartyContextLookupByCurrent

All Implemented Interfaces:
  `Function<MultiRelyingPartyContext,RelyingPartyContext>`, `ContextDataLookupFunction<MultiRelyingPartyContext,RelyingPartyContext>`

public class RelyingPartyContextLookupByCurrent extends Object implements ContextDataLookupFunction<MultiRelyingPartyContext,RelyingPartyContext>
A function that returns `MultiRelyingPartyContext.getCurrentRelyingPartyContext()`.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyContextLookupByCurrent()`

## Method Summary

Modifier and Type
Method
Description
`RelyingPartyContext`
`apply(MultiRelyingPartyContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### RelyingPartyContextLookupByCurrent

public RelyingPartyContextLookupByCurrent()

## Method Details

### apply

@Nullable public RelyingPartyContext apply(@Nullable MultiRelyingPartyContext input)

Specified by:
  `apply` in interface `Function<MultiRelyingPartyContext,RelyingPartyContext>`